import { axios } from '@/utils/request'

const api = {
  meetingUto: '/admin/uto'
}

export function getMeetingUtoList (parameter) {
  return axios({
    url: api.meetingUto + '/list',
    method: 'get',
    params: parameter
  })
}

export function saveMeetingUto (parameter) {
  return axios({
    url: api.meetingUto + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delMeetingUto (parameter) {
  return axios({
    url: api.meetingUto + '/remove',
    method: 'post',
    params: parameter
  })
}

/**
 * 更改单位密码
 * @param parameter
 * @returns {AxiosPromise}
 */
export function changePswd(parameter) {
  return axios({
    url: '/admin/mr/changePswd',
    method: 'post',
    data: parameter
  })
}

export const meetingUtoExport = api.meetingUto + '/export'
